Bug 831743 - bad Socks5Error exception
bad Socks5Error exception
Product: Fedora
Classification: Fedora
Component: python-SocksiPy (Show other bugs)
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mykola Ulianytskyi
Fedora Extras Quality Assurance
: Patch
Depends On:
  Show dependency treegraph
Reported: 2012-06-13 12:58 EDT by Fl@sh
Modified: 2013-07-04 02:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-04 02:51:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fl@sh 2012-06-13 12:58:15 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
str.235 - 238 (in socksocket.__negotiatesocks5()):

			if ord(resp[1])<=8:
				raise Socks5Error((ord(resp[1]),_generalerrors[ord(resp[1])]))
				raise Socks5Error((9,_generalerrors[9]))
Comment 1 Fl@sh 2012-07-14 07:05:22 EDT
Reproduce this error is difficult, so just fix the code in these lines of the module.
Comment 2 Fl@sh 2012-07-19 10:35:21 EDT
there is I found this error (AttributeError):

--- ./socks.py  2006-10-26 00:19:26.000000000 +0400
+++ /home/Flash/socks.py        2012-07-19 18:28:56.962041373 +0400
@@ -233,9 +233,9 @@
                        # Connection failed
                        if ord(resp[1])<=8:
-                               raise Socks5Error(ord(resp[1]),_generalerrors[ord(resp[1])])
+                               raise Socks5Error((ord(resp[1]),_generalerrors[ord(resp[1])]))
-                               raise Socks5Error(9,_generalerrors[9])
+                               raise Socks5Error((9,_generalerrors[9]))
                # Get the bound address/port
                elif resp[3] == "\x01":
                        boundaddr = self.__recvall(4)
Comment 3 Felix Schwarz 2012-07-30 03:39:57 EDT
just some comments from a random bugzilla user:
 - personally I prefer patches attached as plain text files to avoid problems with line breaks (good that you added a unified diff though)
 - even if the problem is hard to reproduce, a traceback is usually helpful (please remove lines specific to your application).
 - your changes look ok at a first glance as the Socks5Error class only takes on argument in its constructor
 - one thing that I don't understand is why you see an AttributeError. I'd expect a TypeError assuming that my analysis above is correct.

I can't give you hope that the original maintainer might as answer if you add the detail request above. However it would certainly improve the usefulness of your bug report.
Comment 4 Fl@sh 2012-09-03 13:50:12 EDT
Thanks for recomendations.
But maintainer not answers since. Perhaps this package to pass another maintainer.
Comment 5 Fl@sh 2013-02-06 09:01:06 EST
Is it very difficult to fix two pair of "( )" since?
It need the new maintainer...
Comment 6 Fl@sh 2013-02-09 04:01:09 EST
 proposed above patch is not quite correct. needs to be updated.
 For example: https://github.com/mikedougherty/SocksiPy/blob/master/socks.py
Comment 7 Fedora End Of Life 2013-07-03 20:06:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fl@sh 2013-07-04 02:51:09 EDT
version updated to 1.00 at F19

Note You need to log in before you can comment on or make changes to this bug.